Gecode::Int::Bool::IteDom< V0, V1, V2 > Class Template Reference
Other available functionality » Integer propagators

If-then-else domain-consistent propagator. More...

`#include <bool.hh>`

## Public Member Functions

virtual Actor * | copy (Space &home)
| Copy propagator during cloning.
virtual PropCost | cost (const Space &home, const ModEventDelta &med) const
| Cost function (defined as high ternary).
virtual ExecStatus | propagate (Space &home, const ModEventDelta &med)
| Perform propagation.
Public Member Functions inherited from Gecode::Int::Bool::IteBase< V0, V1, V2, PC_INT_DOM >
virtual void | reschedule (Space &home)
| Schedule function.
virtual size_t | dispose (Space &home)
| Delete propagator and return its size.
ModEventDelta | modeventdelta (void) const
| Return the modification event delta.
virtual ExecStatus | advise (Space &home, Advisor &a, const Delta &d)
| Advise function.
virtual void | advise (Space &home, Advisor &a)
| Run advisor a to be run on failure in failed space.
double | afc (void) const
| Return the accumlated failure count.
unsigned int | id (void) const
| Return propagator id.
PropagatorGroup | group (void) const
| Return group propagator belongs to.
void | group (PropagatorGroup g)
| Add propagator to group g.
bool | disabled (void) const
| Whether propagator is currently disabled.
virtual | ~Actor (void)
| To avoid warnings.

## Static Public Member Functions

static ExecStatus | post (Home home, BoolView b, V0 x0, V1 x1, V2 x2)
| Post if-then-else propagator.
static void * | operator new (size_t s, Space &home)
| Allocate memory from space.
static void | operator delete (void *p, Space &home)
| No-op for exceptions.
static void * | operator new (size_t s)
| Not used.
static void | operator delete (void *p)
| Not used.

## Protected Member Functions

| IteDom (Space &home, IteDom &p)
| Constructor for cloning p.
| IteDom (Home home, BoolView b, V0 x0, V1 x1, V2 x2)
| Constructor for creation.
Protected Member Functions inherited from Gecode::Int::Bool::IteBase< V0, V1, V2, PC_INT_DOM >
| IteBase (Space &home, IteBase &p)
| Constructor for cloning p.
Protected Member Functions inherited from Gecode::Propagator
| Propagator (Home home)
| Constructor for posting.
| Propagator (Space &home, Propagator &p)
| Constructor for cloning p.
Propagator * | fwd (void) const
| Return forwarding pointer during copying.
Kernel::GPI::Info & | gpi (void)
| Provide access to global propagator information.

## Additional Inherited Members

Protected Attributes inherited from Gecode::Int::Bool::IteBase< V0, V1, V2, PC_INT_DOM >
BoolView | b
| View for condition.
V0 | x0
| Views.
V1 | x1
V2 | x2

## Detailed Description

template<class V0, class V1, class V2>
class Gecode::Int::Bool::IteDom< V0, V1, V2 >

If-then-else domain-consistent propagator.

Requires

#include <gecode/int/bool.hh>
bool.hh

Definition at line 632 of file bool.hh.

## Constructor & Destructor Documentation

## IteDom() [1/2]

template<class V0, class V1, class V2>

Gecode::Int::Bool::IteDom< V0, V1, V2 >::IteDom | ( | Space & | home,
|  | IteDom< V0, V1, V2 > & | p )

inline protected

Constructor for cloning p.

Definition at line 165 of file ite.hpp.

## IteDom() [2/2]

template<class V0, class V1, class V2>

Gecode::Int::Bool::IteDom< V0, V1, V2 >::IteDom | ( | Home | home,
|  | BoolView | b,
|  | V0 | x0,
|  | V1 | x1,
|  | V2 | x2 )

inline protected

Constructor for creation.

Definition at line 160 of file ite.hpp.

## Member Function Documentation

## copy()

template<class V0, class V1, class V2>

Actor * Gecode::Int::Bool::IteDom< V0, V1, V2 >::copy | ( | Space & | home | ) |

virtual

Copy propagator during cloning.

Implements Gecode::Actor.

Definition at line 170 of file ite.hpp.

## cost()

template<class V0, class V1, class V2>

PropCost Gecode::Int::Bool::IteDom< V0, V1, V2 >::cost | ( | const Space & | home,
|  | const ModEventDelta & | med ) const

virtual

Cost function (defined as high ternary).

Reimplemented from Gecode::Int::Bool::IteBase< V0, V1, V2, PC_INT_DOM >.

Definition at line 189 of file ite.hpp.

## propagate()

template<class V0, class V1, class V2>

ExecStatus Gecode::Int::Bool::IteDom< V0, V1, V2 >::propagate | ( | Space & | home,
|  | const ModEventDelta & | med )

virtual

Perform propagation.

Implements Gecode::Propagator.

Definition at line 198 of file ite.hpp.

## post()

template<class V0, class V1, class V2>

ExecStatus Gecode::Int::Bool::IteDom< V0, V1, V2 >::post | ( | Home | home,
|  | BoolView | b,
|  | V0 | x0,
|  | V1 | x1,
|  | V2 | x2 )

inline static

Post if-then-else propagator.

Definition at line 176 of file ite.hpp.

The documentation for this class was generated from the following files:

- gecode/int/bool.hh
- gecode/int/bool/ite.hpp